import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Components
import { VBtn } from "../VBtn/index.mjs"; // Composables
import { IconValue } from "../../composables/icons.mjs";
import { makeComponentProps } from "../../composables/component.mjs"; // Utilities
import { genericComponent, useRender } from "../../util/index.mjs"; // Types
export const VAppBarNavIcon = genericComponent()({
  name: 'VAppBarNavIcon',
  props: {
    icon: {
      type: IconValue,
      default: '$menu'
    },
    ...makeComponentProps()
  },
  setup(props, _ref) {
    let {
      slots
    } = _ref;
    useRender(() => _createVNode(VBtn, {
      "class": ['v-app-bar-nav-icon', props.class],
      "icon": props.icon,
      "style": props.style
    }, slots));
    return {};
  }
});
//# sourceMappingURL=VAppBarNavIcon.mjs.map