import { createVNode as _createVNode, resolveDirective as _resolveDirective } from "vue";
// Components
import { VLabel } from "../VLabel/index.mjs"; // Composables
import { makeComponentProps } from "../../composables/component.mjs"; // Utilities
import { genericComponent, useRender } from "../../util/index.mjs";
export const VFieldLabel = genericComponent()({
  name: 'VFieldLabel',
  props: {
    floating: Boolean,
    ...makeComponentProps()
  },
  setup(props, _ref) {
    let {
      slots
    } = _ref;
    useRender(() => _createVNode(VLabel, {
      "class": ['v-field-label', {
        'v-field-label--floating': props.floating
      }, props.class],
      "style": props.style,
      "aria-hidden": props.floating || undefined
    }, slots));
    return {};
  }
});
//# sourceMappingURL=VFieldLabel.mjs.map